Subject: bug#71411: 30.0.50; Show Unicode names when describing translations

From: Robert Pluim <[email-masked]>
Date: Fri, 07 Jun 2024 16:06:22 +0200

>>>>> On Fri, 07 Jun 2024 16:42:01 +0300, Eli Zaretskii <[email-masked]> said:

    >> From: Robert Pluim <[email-masked]>
    >> Cc: [email-masked]
    >> Date: Fri, 07 Jun 2024 14:16:38 +0200
    >> 
    Eli> Does this mean that if I type "C-h k a" I will be told that a is LATIN
    Eli> SMALL LETTER A?  That'd be an annoyance, I think.
    >> 
    >> Thatʼs not a translated binding, so no.

    Eli> What is a "translated binding" or "translated key"?  Without
    Eli> explaining that, at least the NEWS entries are not clear enough.

Itʼs anything that goes through `key-translation-map'. How
about:

-- >8 --
    *** 'C-h k' ('describe-key') shows Unicode name.
    For keybindings which produce single characters via translation (such as
    those using the 'C-x 8' prefix), 'C-h k' now shows the Unicode name of
    the produced character in addition to the character itself, e.g.

    'C-h k C-x 8 E' =>

        € 'EURO SIGN' (translated from C-x 8 E)

    *** 'C-h b' ('describe-bindings') shows Unicode names.
    For keybindings which produce single characters via translation, the
    Unicode names will now be shown in addition to the character itself,
    i.e.

        A-!			¡	INVERTED EXCLAMATION MARK
        A-$			¤	CURRENCY SIGN

    and so on.
-- >8 --

Robert
--